package com.jqtx.windows.component;

import com.jqtx.windows.component.model.CreditModel;

import java.util.List;

public interface CreditComponent {

    CreditModel getByOrderNo(String orderNo);

    void insert(CreditModel model);

    void updateByOrderNo(String orderNo,CreditModel model);

    List<CreditModel> getListModelByCreditThirdStatus(String token);

    List<CreditModel> getListModelByCreditThirdToken(String token);

    CreditModel getByCertNo(String certNo);
}
