package com.jqtx.windows.component.enums;

public enum SftpTypeEnum {
    COMPENSATORY("compensatory", "代偿文件"),
    ASSURANCE("assurance", "融担费还款明细文件"),
    PAYMENT("payment", "放款对账文件"),
    REPAYMENTCHECK("repayment_check", "还款对账文件"),
    ;

    SftpTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static SftpTypeEnum getByCode(String code) {
        for (SftpTypeEnum e : SftpTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
